/**
 * Introduction
 *
 * @title ROV - Easy applications from C
 *
 * @copyright Jason Tribbeck / 7th ARM 1994-2001
 *
 * @authors Jason Tribbeck
 *
 * @file colourmenu.c
 */

#include <stdio.h>

#include "kernel.h"

#include "main.h"
#include "canvas.h"
#include "menu.h"

menu colourmenu_create(char * title, _rov_menuh choose, int none)
{
  menu m;
  int i;
  char s[4];

  if(none) {
    m = menu_create(title, 17, choose, 0);
  } else {
    m = menu_create(title, 16, choose, 0);
  }

  for(i = 0; i < 16; i ++) {
    sprintf(s, "%d", i);
    menu_add(m, s);
    menu_setback(m, i, i);
    switch(i) {
    case 0 :
    case 1 :
    case 2 :
    case 3 :
    case 9 :
    case 10 :
    case 12 :
    case 14 :
    case 15 :
      menu_setfore(m, i, 7);
      break;
    default :
      menu_setfore(m, i, 0);
      break;
    }
  }
  if(none) {
    menu_add(m, "None");
  }

  return m;
}
